<?php

class actionCustomtabsEdit extends cmsAction {

    public function run($ctype = false, $id = false){

        if (!$ctype) { cmsCore::error404(); }	
		
		if ($this->request->isInternal()) $opt = $this->getOptions();

		$content_model = cmsCore::getModel('content');

		$fields = $content_model->getContentFields($ctype);
		if ($fields) $fields_list = array_collection_to_list($fields, 'name', 'title');
		
		$tab = false;	
		$ct = false;
		
		if($id)	{
			$tab = $this->model->filterEqual('id', $id)->getItem('customtabs');			
			$tab['fields'] = cmsModel::yamlToArray($tab['fields']);
			$ct = $content_model->getContentType($tab['target_ctype']);			
			if($tab['name'] == 'props' || $tab['name'] == 'comments' || $tab['name'] == 'page' || $tab['name'] == 'list') $fields_list =  $tab['name'];			
		}
		$form = $this->getForm('edit_tab', array('ctype' => $ctype, 'fields_list' => $fields_list, 'target_ctype' => $ct['name']));
		
		$ct = $content_model->getContentTypeByName($ctype);	
		$tab['ctype_id'] = $ct['id'];
		$tab['ctype'] = $ctype;	
		
        $is_submitted = $this->request->has('submit');
        if ($is_submitted){

            $tab = $form->parse($this->request, $is_submitted);
            $errors = $form->validate($this, $tab);

            if (!$errors){
						
				if($id) $this->model->update('customtabs', $id, $tab);
				if(!$id) $this->model->insert('customtabs', $tab);				

                $this->redirectToAction('index/'.$ctype);

            }

        }

        return cmsTemplate::getInstance()->render('backend/edit', array(
			'do' => 'edit',
            'form' => $form,			
            'tab' => $tab,				
            'errors' => isset($errors) ? $errors : false
        ));

    }

}