<?php

class actionCustomtabsFields extends cmsAction {

    public function run($ctype = false){
		
        if (!$ctype) { cmsCore::error404(); }
			
		$edit = false;		

		$content_model = cmsCore::getModel('content');

		$fields = $content_model->filterEqual('is_fixed_type', NULL)->getContentFields($ctype);
		if ($fields) $fields_list = array_collection_to_list($fields, 'name', 'title');

		$tab = $this->model->filterEqual('ctype', $ctype)->getItem('customtabs_fields');
		if($tab){	
			$id = $tab['id'];		
			$tab['before_tab'] = cmsModel::yamlToArray($tab['before_tab']);
			$tab['after_tab'] = cmsModel::yamlToArray($tab['after_tab']);			
		}
		
		$form = $this->getForm('fields', array('ctype' => $ctype, 'fields_list' => $fields_list));

		$ct = $content_model->getContentTypeByName($ctype);	
		$tab['ctype_id'] = $ct['id'];
		$tab['ctype'] = $ctype;	
		
        $is_submitted = $this->request->has('submit');
        if ($is_submitted){

            $tab = $form->parse($this->request, $is_submitted);
            $errors = $form->validate($this, $tab);

            if (!$errors){
						
				if($id) $this->model->update('customtabs_fields', $id, $tab);
				if(!$id) $this->model->insert('customtabs_fields', $tab);				

                $this->redirectToAction('index/'.$ctype);

            }

        }

        return cmsTemplate::getInstance()->render('backend/edit', array(
			'do' => 'edit',
            'form' => $form,			
            'tab' => $tab,				
            'errors' => isset($errors) ? $errors : false
        ));

    }

}