<?php

class formCustomtabsEditTab extends cmsForm {

    public $is_tabbed = false;

    public function init($ctype = false, $fields_list = false, $target_ctype = false) {
		
		$template = cmsTemplate::getInstance();

		if($fields_list == 'page'){		
			
		$content_model = cmsCore::getModel('content');
		$fields = $content_model->getContentFields($target_ctype);
		if ($fields) $f_list = array_collection_to_list($fields, 'name', 'title');
		
       return array(

            array(
                'type' => 'fieldset',
                'title' => LANG_CTABS_TAB_CREATION,
                'childs' => array(

					
					new fieldString('title', array(
                        'title' => LANG_CTABS_TAB_TITLE,
						'rules' => array(
							array('required')
						)						
                    )),	
					
                    new fieldList('target_ctype', array(
                        'title' => LANG_CONTENT_TYPE,
						'rules' => array(
                            array('required')
                        ),
                        'generator' => function($item) {

                            $model = cmsCore::getModel('content');
                            $tree = $model->getContentTypes();

                            $items = array();

                            if ($tree) {
                                foreach ($tree as $item) {
                                    $items[$item['id']] = $item['title'];
                                }
                            }

                            return $items;

                        },
                    )),
					
					
                    new fieldNumber('target_id', array(
						'title' => LANG_CTABS_TARGET_ID,
                        'rules' => array(
                            array('required')
                        )
                    )),
					
					new fieldListMultiple('fields', array(
						'title'   => LANG_CTABS_HIDE_FIELDS,
						'parent' => array(
							'list' => 'ctype',
							'url' => href_to('content', 'widget_fields_ajax')
						),
						'items' => $f_list
					)),

	                new fieldHidden('ctype_id'),				
					new fieldHidden('ctype')						

                )
            ),


        );
			
		}
		
	if($fields_list == 'list'){		

		$cats_list = array();
		$datasets_list = array('0'=>'');
		$fields_list = array(''=>'');

		$content_model = cmsCore::getModel('content');
		$target_ctype = $content_model->getContentTypeByName($target_ctype);
		$cats = $content_model->getCategoriesTree($target_ctype['name']);

		if ($cats){
			foreach($cats as $cat){
				if ($cat['ns_level'] > 1){
					$cat['title'] = str_repeat('-', $cat['ns_level']) . ' ' . $cat['title'];
				}
				$cats_list[$cat['id']] = $cat['title'];

			}
		}

		$datasets = $content_model->getContentDatasets($target_ctype['id']);
		if ($datasets){ $datasets_list = array('0'=>'') + array_collection_to_list($datasets, 'id', 'title'); }

		$fields = $content_model->getContentFields($target_ctype['name']);
		if ($fields){ $fields_list = array(''=>'') + array_collection_to_list($fields, 'name', 'title'); }
	
		
       return array(

            array(
                'type' => 'fieldset',
                'title' => LANG_CTABS_TAB_CREATION,
                'childs' => array(

					new fieldString('title', array(
                        'title' => LANG_CTABS_TAB_TITLE,
						'rules' => array(
							array('required')
						)						
                    )),	
					
                    new fieldList('target_ctype', array(
                        'title' => LANG_CONTENT_TYPE,
                        'generator' => function($item) {

                            $model = cmsCore::getModel('content');
                            $tree = $model->getContentTypes();

                            $items = array();

                            if ($tree) {
                                foreach ($tree as $item) {
                                    $items[$item['id']] = $item['title'];
                                }
                            }

                            return $items;

                        },
                    )),
					
					new fieldList('target_dataset', array(
                        'title' => LANG_CTABS_DATASET,
						'parent' => array(
							'list' => 'target_ctype',
							'url' => href_to('content', 'widget_datasets_ajax')
						),
						'items' => $datasets_list
                    )),

					new fieldList('target_category', array(
						'title' => LANG_CATEGORY,
						'parent' => array(
							'list' => 'target_ctype',
							'url' => href_to('content', 'widget_cats_ajax')
						),
						'items' => $cats_list
					)),
					
                    new fieldString('target_value', array(
						'title' => LANG_CTABS_CUSTOM_RULES,
						'hint' => LANG_CTABS_CUSTOM_RULES_HINT
                    )),
					
                    new fieldList('list_style', array(
                        'title' => LANG_CP_LISTVIEW_STYLE,
                        'hint' => sprintf(LANG_CP_LISTVIEW_STYLE_HINT, $template->getName()),
                        'generator' => function() use($template){
                            return $template->getAvailableContentListStyles();
                        }
                    )),
															
					new fieldNumber('perpage', array(
						'title' => LANG_CTABS_PERPAGE,
						'default' => 10,
                        'rules' => array(
                            array('required')
                        )
                    )),
	                new fieldHidden('ctype_id'),				
					new fieldHidden('ctype')
									
	
					)
				),
	
	
			);
			
		} 
		
		if($fields_list == 'props'){
			return array(
	
				array(
					'type' => 'fieldset',
					'title' => LANG_CTABS_TAB_CREATION,
					'childs' => array(

						new fieldString('title', array(
							'title' => LANG_CTABS_TAB_TITLE,
							'rules' => array(
								array('required')
							)						
						)),	
						
						
						new fieldHidden('ctype_id'),				
						new fieldHidden('ctype')						
	
					)
				),
	
	
			);
		}
		
		
		if($fields_list != 'page' || $fields_list != 'list' || $fields_list != 'props'){
			return array(
	
				array(
					'type' => 'fieldset',
					'title' => LANG_CTABS_TAB_CREATION,
					'childs' => array(

						new fieldString('title', array(
							'title' => LANG_CTABS_TAB_TITLE,
							'rules' => array(
								array('required')
							)						
						)),	
						
						new fieldListMultiple('fields', array(
							'title'   => LANG_CTABS_TAB_FIELDS,
							'parent' => array(
								'list' => 'ctype',
								'url' => href_to('content', 'widget_fields_ajax')
							),
							'items' => $fields_list
						)),	
						
						new fieldHidden('ctype_id'),				
						new fieldHidden('ctype')						
	
					)
				),
	
	
			);
		}	
		

    }

}
