<?php

class formCustomtabsListTab extends cmsForm {

    public $is_tabbed = false;

    public function init($ctype = false, $fields_list = false, $target_ctype = false) {

		$template = cmsTemplate::getInstance();

        return array(

            array(
                'type' => 'fieldset',
                'title' => 'Создание вкладок',
                'childs' => array(

					new fieldString('title', array(
                        'title' => LANG_CTABS_TAB_TITLE,
						'rules' => array(
							array('required')
						)						
                    )),	
					
                    new fieldList('target_ctype', array(
                        'title' => LANG_CONTENT_TYPE,
                        'generator' => function($item) {

                            $model = cmsCore::getModel('content');
                            $tree = $model->getContentTypes();

                            $items = array();

                            if ($tree) {
                                foreach ($tree as $item) {
                                    $items[$item['id']] = $item['title'];
                                }
                            }

                            return $items;

                        },
                    )),
					
					new fieldList('target_dataset', array(
                        'title' => LANG_CTABS_DATASET,
						'parent' => array(
							'list' => 'target_ctype',
							'url' => href_to('content', 'widget_datasets_ajax')
						),
						'items' => ''
                    )),

					new fieldList('target_category', array(
						'title' => LANG_CATEGORY,
						'parent' => array(
							'list' => 'target_ctype',
							'url' => href_to('content', 'widget_cats_ajax')
						),
						'items' => ''
					)),
					
                    new fieldString('target_value', array(
						'title' => LANG_CTABS_CUSTOM_RULES,
						'hint' => LANG_CTABS_CUSTOM_RULES_HINT
                    )),
					
                    new fieldList('list_style', array(
                        'title' => LANG_CP_LISTVIEW_STYLE,
                        'hint' => sprintf(LANG_CP_LISTVIEW_STYLE_HINT, $template->getName()),
                        'generator' => function() use($template){
                            return $template->getAvailableContentListStyles();
                        }
                    )),
					
					new fieldNumber('perpage', array(
						'title' => LANG_CTABS_PERPAGE,
						'default' => 10,
                        'rules' => array(
                            array('required')
                        )
                    )),
	                new fieldHidden('ctype_id'),				
					new fieldHidden('ctype')						

                )
            ),


        );

    }

}
