<?php

class customtabs extends cmsFrontend {
	
    public function renderItemsList($model, $page, $perpage, $tab_id, $tabstyle, $rules, $ctype, $page_url, $hide_filter=false, $category_id=0, $filters = array(), $dataset=false, $ext_hidden_params=array()){
		$controller = cmsCore::getController('content');
        $props = $props_fields = false;


        // Получаем список наборов
        $datasets = $model->getContentDatasets($ctype['id'], true);
		$dataset = $model->getContentDataset($dataset);
		$dataset = $dataset['name'];
		//echo '<pre>';print_r($this->template);
        if ($datasets){
			//echo '<pre>';print_r($dataset);
            if($dataset && empty($datasets[$dataset])){ cmsCore::error404(); }
            $keys = array_keys($datasets);
            $current_dataset = $dataset ? $datasets[$dataset] : $datasets[$keys[0]];
            $model->applyDatasetFilters($current_dataset);
        }

        // Получаем поля для данного типа контента
        $fields = cmsCore::getModel('content')->getContentFields($ctype['name']);

        if ($hide_filter) { $ctype['options']['list_show_filter'] = false; }

        if ($category_id && $category_id>1){
            // Получаем поля-свойства
            $props = cmsCore::getModel('content')->getContentProps($ctype['name'], $category_id);
            $props_fields = $controller->getPropsFields($props);
        }

		// проверяем запросы фильтрации по полям
		foreach($fields as $name => $field){

			if (!$field['is_in_filter']) { continue; }
			if (!$this->request->has($name)){ continue; }

			$value = $this->request->get($name, false, $field['handler']->getDefaultVarType(true));
			if (!$value) { continue; }

			if($field['handler']->applyFilter($model, $value) !== false){
                $filters[$name] = $value;
            }

		}

        if($ext_hidden_params){
            foreach ($ext_hidden_params as $param_name => $param_field) {
                $fields[$param_name] = $param_field;
            }
        }

		// проверяем запросы фильтрации по свойствам
		if (isset($props) && is_array($props)){
			foreach($props as $prop){

				$name = "p{$prop['id']}";

				if (!$prop['is_in_filter']) { continue; }
				if (!$this->request->has($name)){ continue; }

                $prop['handler'] = $props_fields[$prop['id']];

				$value = $this->request->get($name, false, $prop['handler']->getDefaultVarType(true));
				if (!$value) { continue; }

				if($model->filterPropValue($ctype['name'], $prop, $value) !== false){

                    $filters[$name] = $value;

                }

			}

		}

        // Приватность
        // флаг показа только названий
        $hide_except_title = (!empty($ctype['options']['privacy_type']) && $ctype['options']['privacy_type'] == 'show_title');

        // Сначала проверяем настройки типа контента
        if (!empty($ctype['options']['privacy_type']) && in_array($ctype['options']['privacy_type'], array('show_title', 'show_all'), true)) {
            $model->disablePrivacyFilter();
            if($ctype['options']['privacy_type'] != 'show_title'){
                $hide_except_title = false;
            }
        }

        // А потом, если разрешено правами доступа, отключаем фильтр приватности
        if (cmsUser::isAllowed($ctype['name'], 'view_all')) {
            $model->disablePrivacyFilter(); $hide_except_title = false;
        }

        // Постраничный вывод
        $model->limitPage($page, $perpage);

		list($ctype, $model) = cmsEventsManager::hook('content_list_filter', array($ctype, $model));
		list($ctype, $model) = cmsEventsManager::hook("content_{$ctype['name']}_list_filter", array($ctype, $model));

        // Получаем количество и список записей

		$category = $this->model->filterEqual('id', $category_id)->getItem('con_'.$ctype['name'].'_cats');

		//if($category_id != 1) $model->filterEqual('category_id', $category_id);
		
		// Фильтр по категории
        if ($ctype['is_cats']) {
            if($category_id != 1){
                $model->filterCategory($ctype['name'], $category, $ctype['is_cats_recursive']);
            } elseif(!$ctype['is_cats_recursive']){
                $model->filterCategory($ctype['name'], array('id' => 1));
            }
        }
		if(isset($rules) && !empty($rules))
		foreach($rules as $k=>$r){
			$model->filterEqual($k, $r);
		}		
		// Скрываем записи из скрытых родителей (приватных групп и т.п.)
        $model->filterHiddenParents();
		
        $total = $model->getContentItemsCount($ctype['name']);

        $items = $model->getContentItems($ctype['name']);

        // если запрос через URL
        if($this->request->isStandard()){
            if(!$items && $page > 1){ cmsCore::error404(); }
        }

        // Рейтинг
        if ($ctype['is_rating'] && $items &&  $this->isControllerEnabled('rating')){

            $rating_controller = cmsCore::getController('rating', new cmsRequest(array(
                'target_controller' => $this->name,
                'target_subject' => $ctype['name']
            ), cmsRequest::CTX_INTERNAL));

            $is_rating_allowed = cmsUser::isAllowed($ctype['name'], 'rate');

            foreach($items as $id=>$item){
                $is_rating_enabled = $is_rating_allowed && ($item['user_id'] != $this->cms_user->id);
                $items[$id]['rating_widget'] = $rating_controller->getWidget($item['id'], $item['rating'], $is_rating_enabled);
            }

        }

        list($ctype, $items) = cmsEventsManager::hook('content_before_list', array($ctype, $items));
        list($ctype, $items) = cmsEventsManager::hook("content_{$ctype['name']}_before_list", array($ctype, $items));

        cmsModel::cacheResult('current_ctype_fields', $fields);
        cmsModel::cacheResult('current_ctype_props', $props);
        cmsModel::cacheResult('current_ctype_props_fields', $props_fields);

        $this->cms_template->setContext($this);

        $html = $this->renderContentList($ctype, array(
			'category_id'       => $category_id,
            'page_url'          => $page_url.'?tab='.$tab_id,
            'ctype'             => $ctype,
            'fields'            => $fields,
            'props'             => $props,
            'props_fields'      => $props_fields,
            'filters'           => $filters,
            'page'              => $page,
            'perpage'           => $perpage,
            'total'             => $total,
            'items'             => $items,
            'user'              => $this->cms_user,
            'dataset'           => $dataset,
            'hide_except_title' => $hide_except_title
        ), new cmsRequest(array(), cmsRequest::CTX_INTERNAL), $tabstyle);

        $this->cms_template->restoreContext();

        return $html;

    }
	
	
	public function renderContentList($ctype, $data=array(), $request=false, $list_style){

        $tpl_file = cmsTemplate::getInstance()->getTemplateFileName('content/'.$ctype['name'].'_list', true);

        if (!$tpl_file){

            $style = !empty($list_style) ? '_'.$list_style : '';

            $tpl_file = cmsTemplate::getInstance()->getTemplateFileName("content/default_list{$style}");

        }

        if (!$request) { $request = $this->template->controller->request; }

        return cmsTemplate::getInstance()->processRender($tpl_file, $data, $request);

    }
	
	
	
	
	
	
	
	
	
	
	
	
	
	

	
}