<?php $user = cmsUser::getInstance(); ?>

<?php if ($fields['title']['is_in_item']){ ?>
    <h1>
        <?php html($item['title']); ?>
        <?php if ($item['is_private']) { ?>
            <span class="is_private" title="<?php html(LANG_PRIVACY_PRIVATE); ?>"></span>
        <?php } ?>
    </h1>
    <?php if ($item['parent_id']){ ?>
        <h2 class="parent_title item_<?php echo $item['parent_type']; ?>_title">
            <a href="<?php echo rel_to_href($item['parent_url']); ?>"><?php html($item['parent_title']); ?></a>
        </h2>
    <?php } ?>
    <?php unset($fields['title']); ?>
<?php } ?>


<?php # поля перед вкладками ?>
<div class="content_item <?php echo $ctype['name']; ?>_item">
    <?php foreach($fields as $name=>$field){ ?>
		<?php if(in_array($name, $item['before_tab'])) { ?>
			<?php if (!$field['is_in_item'] || $field['is_system']) { continue; } ?>
            <?php if ((empty($item[$field['name']]) || empty($field['html'])) && $item[$field['name']] !== '0') { continue; } ?>
            <?php if ($field['groups_read'] && !$user->isInGroups($field['groups_read'])) { continue; } ?>
    
        	<div class="field ft_<?php echo $field['type']; ?> f_<?php echo $field['name']; ?> <?php echo $field['options']['wrap_type']; ?>_field" <?php if($field['options']['wrap_width']){ ?> style="width: <?php echo $field['options']['wrap_width']; ?>;"<?php } ?>>
                <?php if ($field['options']['label_in_item'] != 'none'){ ?>
                    <div class="title_<?php echo $field['options']['label_in_item']; ?>"><?php html($field['title']); ?>: </div>
                <?php } ?>
                <div class="value"><?php echo $field['html']; ?></div>
            </div>
		<?php } ?>
    <?php } ?>
</div>
<?php # поля перед вкладками ?>


<div class="content_item <?php echo $ctype['name']; ?>_item">
<div class="customtabs">
<?php # собираем вкладки
	$counter = 0;
	$tabs = '';
	$sections = '';
	$props_in_tab = false;
	if(!isset($ctype['tabs']))$props_in_tab = true;

	
	if(isset($ctype['tabs']))
	foreach($ctype['tabs'] as $tab){

		$counter++;	
		if($counter == 1 && !$item['active_tab'] || $tab['id'] == $item['active_tab']) $ch = ' checked'; else $ch = '';
		$tabs .= '<input id="tab'.$counter.'" type="radio" name="tabs"'.$ch.'><label for="tab'.$counter.'" title="'.$tab['title'].'">'.$tab['title'].'</label>'; 
		if($tab['name'] == 'comments'){ 
			$sections .= '<tab id="content'.$counter.'">';
			if (!empty($item['commemts_tab'])) $sections .= $item['commemts_tab'];
			$sections .= '</tab>';	
		}
		
		if($tab['name'] == 'page' || $tab['name'] == 'list'){ 
			$sections .= '<tab id="content'.$counter.'">';
			if (!empty($item[$tab['name'].'-'.$tab['id']])) $sections .= $item[$tab['name'].'-'.$tab['id']];
			$sections .= '</tab>';	
		}
		
		
		# формируем вкладку свойств		
		if($tab['name'] == 'props'){

			$propstab = '';
			$props_in_tab = true;	
			
			if ($props && array_filter((array)$props_values)) { 
				$props_fields = $this->controller->getPropsFields($props);
				$props_fieldsets = cmsForm::mapFieldsToFieldsets($props);
				
				$propstab .= '<div class="content_item_props '.$ctype['name'].'_item_props"><table><tbody>';
					foreach($props_fieldsets as $fieldset){
						if ($fieldset['title']) $propstab .= '<tr><td class="heading" colspan="2">'.$fieldset['title'].'</td></tr>';
						if ($fieldset['fields']){ 
							foreach($fieldset['fields'] as $prop){ 
								if (isset($props_values[$prop['id']])) { 
									$prop_field = $props_fields[$prop['id']];
									$propstab .= '<tr><td class="title">'.$prop['title'].'</td>
										<td class="value">'.$prop_field->setItem($item)->parse($props_values[$prop['id']]).'</td></tr>';
								 }
							}
						}
				   }
				$propstab .= '</tbody></table></div>';
			} 
			$sections .= '<tab id="content'.$counter.'">'.$propstab.'</tab>';
			# формируем вкладку свойств
				
		} else {

			$sections .= '<tab id="content'.$counter.'">';
			$tab['fields'] = cmsModel::yamlToArray($tab['fields']);
	
			foreach($fields as $name=>$field){ 		
				if(in_array($name, $tab['fields'])){
					if (!$field['is_in_item'] || $field['is_system']) { continue; }
					if ((empty($item[$field['name']]) || empty($field['html'])) && $item[$field['name']] !== '0') { continue; }
					if ($field['groups_read'] && !$user->isInGroups($field['groups_read'])) { continue; }
					if($field['options']['wrap_width']) $w = 'style="width:'.$field['options']['wrap_width'].';"'; else $w = '';
					$sections .= '<div class="field ft_'.$field['type'].' f_'.$field['name'].' '.$field['options']['wrap_type'].'_field" '.$w.'>';
					if ($field['options']['label_in_item'] != 'none'){
						$sections .= '<div class="title_'.$field['options']['label_in_item'].'">'.$field['title'].': </div>';
					}
					$sections .= '<div class="value">'.$field['html'].'</div></div>';
				}
			}
			$sections .= '</tab>'; 
		}
 	} # собираем вкладки ?>



 <?php echo $tabs.$sections; ?>
</div></div>



<?php # поля после вкладок ?>
<div class="content_item <?php echo $ctype['name']; ?>_item">
    <?php foreach($fields as $name=>$field){ ?>
		<?php if(in_array($name, $item['after_tab'])) { ?>
			<?php if (!$field['is_in_item'] || $field['is_system']) { continue; } ?>
            <?php if ((empty($item[$field['name']]) || empty($field['html'])) && $item[$field['name']] !== '0') { continue; } ?>
            <?php if ($field['groups_read'] && !$user->isInGroups($field['groups_read'])) { continue; } ?>
    
        	<div class="field ft_<?php echo $field['type']; ?> f_<?php echo $field['name']; ?> <?php echo $field['options']['wrap_type']; ?>_field" <?php if($field['options']['wrap_width']){ ?> style="width: <?php echo $field['options']['wrap_width']; ?>;"<?php } ?>>
                <?php if ($field['options']['label_in_item'] != 'none'){ ?>
                    <div class="title_<?php echo $field['options']['label_in_item']; ?>"><?php html($field['title']); ?>: </div>
                <?php } ?>
                <div class="value"><?php echo $field['html']; ?></div>
            </div>
		<?php } ?>
    <?php } ?>
</div>
<?php # поля после вкладок ?>



<div class="content_item <?php echo $ctype['name']; ?>_item">
    
<?php if(!$props_in_tab == true){ ?>
    <?php if ($props && array_filter((array)$props_values)) { ?>
        <?php
            $props_fields = $this->controller->getPropsFields($props);
            $props_fieldsets = cmsForm::mapFieldsToFieldsets($props);
        ?>
        <div class="content_item_props <?php echo $ctype['name']; ?>_item_props">
            <table>
                <tbody>
                    <?php foreach($props_fieldsets as $fieldset){ ?>
                        <?php if ($fieldset['title']){ ?>
                            <tr>
                                <td class="heading" colspan="2"><?php html($fieldset['title']); ?></td>
                            </tr>
                        <?php } ?>
                        <?php if ($fieldset['fields']){ ?>
                            <?php foreach($fieldset['fields'] as $prop){ ?>
                                <?php if (isset($props_values[$prop['id']])) { ?>
                                <?php $prop_field = $props_fields[$prop['id']]; ?>
                                    <tr>
                                        <td class="title"><?php html($prop['title']); ?></td>
                                        <td class="value">
                                            <?php echo $prop_field->setItem($item)->parse($props_values[$prop['id']]); ?>
                                        </td>
                                    </tr>
                                <?php } ?>
                            <?php } ?>
                        <?php } ?>
                    <?php } ?>
                </tbody>
            </table>
        </div>
    <?php } ?>
<?php } ?>

    <?php
        $hooks_html = cmsEventsManager::hookAll("content_{$ctype['name']}_item_html", $item);
        if ($hooks_html) { echo html_each($hooks_html); }
    ?>

    <?php
        $is_tags = $ctype['is_tags'] &&
                   !empty($ctype['options']['is_tags_in_item']) &&
                   $item['tags'];
    ?>

    <?php if ($is_tags){ ?>
        <div class="tags_bar">
            <?php echo html_tags_bar($item['tags']); ?>
        </div>
    <?php } ?>

    <?php
        $show_bar = !empty($item['rating_widget']) ||
                    $fields['date_pub']['is_in_item'] ||
                    $fields['user']['is_in_item'] ||
					!empty($ctype['options']['hits_on']) ||
					!$item['is_pub'] ||
                    !$item['is_approved'];
    ?>

    <?php if ($ctype['item_append_html']){ ?>
        <div class="append_html"><?php echo $ctype['item_append_html']; ?></div>
    <?php } ?>

    <?php if ($show_bar){ ?>
        <div class="info_bar">
            <?php if (!empty($item['rating_widget'])){ ?>
                <div class="bar_item bi_rating">
                    <?php echo $item['rating_widget']; ?>
                </div>
            <?php } ?>
            <?php if ($fields['date_pub']['is_in_item']){ ?>
                <div class="bar_item bi_date_pub" title="<?php html( $fields['date_pub']['title'] ); ?>">
                    <?php echo $fields['date_pub']['html']; ?>
                </div>
            <?php } ?>
            <?php if (!$item['is_pub']){ ?>
                <div class="bar_item bi_not_pub">
                    <?php echo LANG_CONTENT_NOT_IS_PUB; ?>
                </div>
            <?php } ?>
            <?php if (!empty($ctype['options']['hits_on'])){ ?>
                <div class="bar_item bi_hits" title="<?php echo LANG_HITS; ?>">
                    <?php echo $item['hits_count']; ?>
                </div>
            <?php } ?>
            <?php if ($fields['user']['is_in_item']){ ?>
                <div class="bar_item bi_user" title="<?php html( $fields['user']['title'] ); ?>">
                    <?php echo $fields['user']['html']; ?>
                </div>
                <?php if (!empty($item['folder_title'])){ ?>
                    <div class="bar_item bi_folder">
                        <a href="<?php echo href_to('users', $item['user']['id'], array('content', $ctype['name'], $item['folder_id'])); ?>"><?php echo $item['folder_title']; ?></a>
                    </div>
                <?php } ?>
            <?php } ?>
            <div class="bar_item bi_share">
                <div class="share">
                    <script type="text/javascript" src="//yastatic.net/es5-shims/0.0.2/es5-shims.min.js" charset="utf-8"></script>
<script type="text/javascript" src="//yastatic.net/share2/share.js" charset="utf-8"></script>
<div class="ya-share2" data-services="vkontakte,facebook,odnoklassniki,moimir,gplus,twitter,viber,whatsapp" data-size="s"></div>
                </div>
            </div>
            <?php if (!$item['is_approved']){ ?>
                <div class="bar_item bi_not_approved">
                    <?php echo LANG_CONTENT_NOT_APPROVED; ?>
                </div>
            <?php } ?>
        </div>
    <?php } ?>

</div>

























